---
title: Source map errors
slug: Tools/Debugger/Source_map_errors
tags:
  - Debugger
  - Debugging
  - Dev Tools
  - Reference
  - Source maps
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p class="summary">Source maps are JSON files providing a way to associate transformed sources, as seen by the browser, with their original sources, as written by the developer. You can sometimes encounter problems working with source maps.  This page explains the most common problems and how to fix them.</p>

<div class="note">
<p><strong>Note</strong>: If you're new to source maps, you can learn more about them in <a href="/en-US/docs/Tools/Debugger/How_to/Use_a_source_map">How to use a source map</a>.</p>
</div>

<h2 id="General_source_map_error_reporting">General source map error reporting</h2>

<p>If you do see a problem, a message will appear in the webconsole. This message will show an error message, the resource URL, and the source map URL:</p>

<p><img alt="Error from invalid JSON" src="https://mdn.mozillademos.org/files/15423/invalid-json.png" style="border-style: solid; border-width: 1px; display: block; height: 57px; margin: 0px auto; width: 744px;"></p>

<p>Here, the resource URL tells us that <code>bundle.js</code> mentions a source map, and the source map URL tells us where to find the source map data (in this case, relative to the resource).  The error tells us that the source map is not JSON data — so we're serving the wrong file.</p>

<p>There are a few common ways that source maps can go wrong; they are detailed in the following sections.</p>

<h2 id="Source_map_missing_or_inaccessible">Source map missing or inaccessible</h2>

<p>The source map resource can be missing or inaccessible.</p>

<p><img alt="Source map file is missing" src="https://mdn.mozillademos.org/files/15429/missing-map.png" style="border-style: solid; border-width: 1px; display: block; height: 42px; margin: 0px auto; width: 733px;"></p>

<p>The fix here is to make sure the file is being served and is accessible to the browser</p>

<h2 id="Invalid_source_map">Invalid source map</h2>

<p>The source map data can be invalid — either not a JSON file at all, or with an incorrect structure. Typical error messages here are:</p>

<ul>
 <li><code>SyntaxError: JSON.parse: unexpected character at line 1 column 1 of the JSON data</code></li>
 <li><code>Error: "version" is a required argument</code></li>
</ul>

<p><img alt='Error: "version" is a required argument' src="https://mdn.mozillademos.org/files/15425/missing-field.png" style="border-style: solid; border-width: 1px; display: block; height: 45px; margin: 0px auto; width: 743px;"></p>

<h2 id="Original_source_missing">Original source missing</h2>

<p>An original source may be missing.  You may encounter this when trying to open one of the original sources in the debugger. The message looks a little different in this case:</p>

<p><img alt="Debugger source tab showing the error" src="https://mdn.mozillademos.org/files/15421/Screenshot%20from%202017-09-15%2014-32-02.png" style="border-style: solid; border-width: 1px; display: block; height: 35px; margin: 0px auto; width: 727px;"></p>

<p>In this case, the error will also be displayed in the source tab in the debugger:</p>

<p><img alt="Debugger source tab showing the error" src="https://mdn.mozillademos.org/files/15427/debugger-tab.png" style="border-style: solid; border-width: 1px; display: block; height: 109px; margin: 0px auto; width: 616px;"></p>

<h2 id="NetworkError_when_attempting_to_fetch_resource">NetworkError when attempting to fetch resource</h2>

<p>A bug in Firefox prevents it from loading source maps for web extensions.</p>

<p>See <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1437937">Bug 1437937: WebExtensions Doesn't Find Source Maps</a> for details.</p>

<pre class="syntaxbox"><span class="message-body-wrapper"><span class="message-flex-body"><span class="devtools-monospace message-body">Source-Map-Fehler: TypeError: NetworkError when attempting to fetch resource.
 Ressourcen-Adresse: moz-extension://c7f0f003-4fcf-49fd-8ec0-c49361266581/background.js
 Source-Map-Adresse: background.js.map</span></span></span></pre>

<p>The only workaround is to manually change the map URL to a public one (http://localhost:1234/file.map.js) and start a local webserver at this port.</p>
